import {
    ApiModel
} from "../../utils/api";
const _Http = new ApiModel();
const processingData = require('../../utils/processingData');
Page({

    /**
     * 页面的初始数据
     */
    data: {
        history: [], //浏览记录
        viewRowIndex: -1,
        pageNumber: 1,
        pageTotal: 1,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        if (options.id) {
            this.setData({
                tnoticeid: options.id
            })
            this.getList()
        }
    },
    getList() {
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.noticemag.noticemag",
            "method": "havereaduserlist",
            "content": {
                "pageNumber": this.data.pageNumber,
                "pageSize": 20,
                "tnoticeid": this.data.tnoticeid
            }
        }).then(res => {
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            });
            let data = res.data;
            for (let i = 0; i < data.length; i++) {
                let ffirstreadtime = data[i].ffirstreadtime;
                if (ffirstreadtime != null && ffirstreadtime != undefined) data[i].ffirstreadtime = ffirstreadtime.slice(0, ffirstreadtime.lastIndexOf('.'));
            }
            this.setData({
                history: data
            })
        })
    },
    viewRow(e) {
        const {
            index
        } = e.currentTarget.dataset;
        this.setData({
            viewRowIndex: index
        })
    },
    /* 下一页 */
    buttonRightClick() {
        if (this.data.pageNumber == this.data.pageTotal) return wx.showToast({
            title: '已经到达最后一页',
            icon: "none"
        });
        this.setData({
            pageNumber: this.data.pageNumber + 1
        })
        this.getList()

    },
    /* 上一页 */
    buttonLifeClick() {
        if (this.data.pageNumber == 1) return wx.showToast({
            title: '已经在第一页了哦',
            icon: "none"
        });
        this.setData({
            pageNumber: this.data.pageNumber - 1
        })
        this.getList()
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})